// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// 
// Module: ArfTableIterator.h
// Author: Hassan Siddiqui
//
// Description: 
// ARF generation task for the XMM Science Analysis System
// 
// Comments: 
//  This prototype is restricted the central CCD of the MOS1 detector.
//  
// Modifications: See ChangeLog
// 
// $Id: ArfTableIterator.h,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

#ifndef ArfTableIterator_H
#define ArfTableIterator_H


/* General */
#include <iostream>

/* SAS-specific */
#include "Dal.h"
#include "FileLocator.h"

/* Utility classes */
#include "Tracer.h"

/* Local classes */

class ArfTableIterator //: public SubTableProcessor
{

public:

  /** Constructors */
  ArfTableIterator();

  /** Destructors */
  ~ArfTableIterator();

  /* Initialise table */
  void table( Table * );

  void setupTable( Table * table );

  /** Subtable Iteration */

//   void proc(SubTable& );

  void processEntireTable(Table * table);

private:


  Column * _elowCol;
  Column * _ehighCol;
  Column * _prodCol;
};

#endif
