// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
// Module: BpCorrector
// Author: Richard Saxton
//
// Description: 
//
// Base class for a bad pixel corrector
//
// Modifications: See ChangeLog
// 
// $Id: BpCorrector.h,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

#ifndef BpCorrector_H
#define BpCorrector_H

/* General */

/* SAS-specific */

/* Local */
#include "PixelIterator.h"


class BpCorrector
{
public:

  /* Constructor */
  BpCorrector(){};

  /* Destructor */
  virtual ~BpCorrector(){};

  virtual vector<double> 
  TotalFactor( const vector<double> & energyvector) const = 0;
  
  virtual int totalPixels() const = 0;

private:


};

#endif
