// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: PsfmodelPixelIterator
// Author: Hassan Siddiqui
//
// Description: 
//
// A detector map representation of a model PSF.
//
// Modifications: See ChangeLog
// 
// $Id: PsfmodelPixelIterator.h,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

#ifndef PsfmodelPixelITERATOR_H
#define PsfmodelPixelITERATOR_H

/* General classes */

/* SAS-specific */

/* Local */
#include "PixelIterator.h"
#include "WCSConvertor.h"
#include "PixelElement.h"
#include "RegionExtent.h"

class PsfmodelPixelIterator : public PixelIterator
{
public:

  /* Constructors */
  PsfmodelPixelIterator( double xmin,
			 double xmax,
			 unsigned xbins,
			 double ymin,
			 double ymax,
			 unsigned ybins);


  /* Destructors */
  ~PsfmodelPixelIterator();

  /* Iterator methods */
  void   first();
  void   next ();
  bool   isDone();
  PixelElement currentItem();

  /* Size methods */
  unsigned    size()     const;
  unsigned    xbins()     const;

  /* WCSConvertor object */
  const WCSConvertor * wcsconvertor() const;

private:
  bool _firstcalled;

  long _index;
  long _xindex;
  long _yindex;
  long _xbins;
  long _size;

  WCSConvertor * _wcsconv;

};

#endif
