// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
// Module: RmfEbins
// Author: Hassan Siddiqui
//
// Description: 
//
// Factory to generate a BinnedAxis object from an RMF dataset
//
// Modifications: See ChangeLog
// 
// $Id: RmfEbins.h,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

#ifndef RmfEbins_H
#define RmfEbins_H

/* General */

/* SAS-specific */
#include "CalCommon.h"

/* Local */

class RmfEbins
{
public:

  /* Constructor */
  RmfEbins();

  /* Destructor */
  ~RmfEbins();

  static BinnedAxis * ebins(const string & setname );
  
private:

};

#endif
